首页 新闻 搜索 专区 学院

django+celry

0
悬赏园豆:100 [待解决问题]

我的python版本是3.7,django是2.0,celery是4.4.5,eventlet是0.25.2,电脑是win10
运行celery -A proj worker -l info,在运行celery -A proj beat。 就会报错,报错信息是:ModuleNotFoundError: No module named 'django-celery-beat',这个django_celery_beat我在settings里面也配置了,也迁移表了,当然也pip了,版本是2.1.0,依然是这个问题。那为大佬能给解决一下。拜托了!
再次报错!
c:\users\86177\django\lib\site-packages\celery\utils\imports.py:167: UserWarning: Cannot load celery.commands extension 'flower.com
mand:FlowerCommand': ModuleNotFoundError("No module named '_contextvars'")
namespace, class_name, exc))

Bronya天使的主页 Bronya天使 | 初学一级 | 园豆:106
提问于:2020-12-21 10:15
< >
分享
所有回答(2)
0

和django、celery版本有关

ycyzharry | 园豆:24374 (高人七级) | 2020-12-22 00:07
0
Bronya天使 | 园豆:106 (初学一级) | 2020-12-30 14:08
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册